﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using System.Collections.ObjectModel;
using Infragistics.Controls.Charts;
using System.ComponentModel;
using System.Windows.Threading;

namespace InfraChart
{
    public partial class Home : Page
    {
        private DispatcherTimer timer = new DispatcherTimer();
        private ChartPoints mPoints = null;
        //private ChartPoints mPoints1 = null;
        public Home()
        {
            InitializeComponent();
        }

        int i = 0;
        void timer_Tick(object sender, EventArgs e)
        {
            DateTime dt = DateTime.Now;
            if (mPoints != null)
                mPoints.Add(new ChartDataPoint { Date = dt, YS = i + 10, Y = i});

         
            if (mPoints.Count > 600)
                mPoints.RemoveAt(0);

            i++;
            if (i > 10)
                i = 0;
        }



        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {

            mPoints = new ChartPoints();
            //mPoints1 = new ChartPoints();


            CategoryDateTimeXAxis xmXAxis = new CategoryDateTimeXAxis();
            xmXAxis.ItemsSource = mPoints;
            xmXAxis.Label = "{Date:mm.ss}";
            xmXAxis.DateTimeMemberPath = "Date";
            xmXAxis.LabelSettings.Extent = 35;
            xmXAxis.LabelSettings.Location = AxisLabelsLocation.OutsideBottom;

            NumericYAxis xmYAxis = new NumericYAxis();
            NumericYAxis xmYAxis1 = new NumericYAxis();

            LineSeries xmSeries = new LineSeries();
            xmSeries.ValueMemberPath = "Y";
            xmSeries.XAxis = xmXAxis;
            xmSeries.YAxis = xmYAxis;
            xmSeries.ItemsSource = mPoints;

            LineSeries xmSeries1 = new LineSeries();
            xmSeries1.ValueMemberPath = "YS";
            xmSeries1.XAxis = xmXAxis;
            xmSeries1.YAxis = xmYAxis1;
            xmSeries1.ItemsSource = mPoints;

            xmDataChart.Axes.Add(xmXAxis);
            xmDataChart.Axes.Add(xmYAxis);
            xmDataChart.Axes.Add(xmYAxis1);
            xmDataChart.Series.Add(xmSeries);
            xmDataChart.Series.Add(xmSeries1);


            timer.Tick += new EventHandler(timer_Tick);
            timer.Interval = TimeSpan.FromMilliseconds(10);

        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            timer.Start();
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            timer.Stop();
        }

        

    }

    public class ChartPoints : ObservableCollection<ChartDataPoint> { }


    public class ChartDataPoint
    {
        public double Y { get; set; }
        public double YS { get; set; }
        public DateTime Date { get; set; }

    }
}
